# Uses of Enum Class
org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups.IDifferenceGroupProvider.ComparisonType

Packages that use IDifferenceGroupProvider.ComparisonType
Package
Description
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl
org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups

## Uses of IDifferenceGroupProvider.ComparisonType in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl

Methods in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl that return IDifferenceGroupProvider.ComparisonType
Modifier and Type
Method
Description
`IDifferenceGroupProvider.ComparisonType`
DifferenceGroupDescriptorWrapper.`getType()`
Return the type of Comparison this group provider can handle.
Constructors in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl with parameters of type IDifferenceGroupProvider.ComparisonType
Modifier
Constructor
Description
``
`DifferenceGroupDescriptorWrapper(String label, String description, org.eclipse.core.runtime.IConfigurationElement elem, int rank, IDifferenceGroupProvider.ComparisonType comparisonType)`
Constructor.

## Uses of IDifferenceGroupProvider.ComparisonType in org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups

Methods in org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups that return IDifferenceGroupProvider.ComparisonType
Modifier and Type
Method
Description
`IDifferenceGroupProvider.ComparisonType`
IDifferenceGroupProvider.Descriptor.`getType()`
Return the type of Comparison this group provider can handle.
`static IDifferenceGroupProvider.ComparisonType`
IDifferenceGroupProvider.ComparisonType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IDifferenceGroupProvider.ComparisonType[]`
IDifferenceGroupProvider.ComparisonType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.